View Issue Details

IDProjectCategoryView StatusLast Update
0023857mantisbtapi restpublic2018-02-06 21:17
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.10.0 
Target Version2.11.0Fixed in Version2.11.0 
Summary0023857: Add REST API to attach a tag
Description

Here is an example:

POST {{url}}/api/rest/issues/:issue_id/tags

{
  "tags": [
    {
      "name": "authentication"
    },
    {
      "name": "avatar"
    }
  ]
}
TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 66d28e67

2018-01-20 02:46:30

vboctor

Details Diff
Add REST API to Attach/Detach Tags

Fixes 0023857, 0023858
Affected Issues
0023857, 0023858
mod - api/rest/restcore/issues_rest.php Diff File
mod - core/commands/TagAttachCommand.php Diff File
mod - core/commands/TagDetachCommand.php Diff File

Issue History

Date Modified Username Field Change
2018-01-20 02:43 vboctor New Issue
2018-01-20 02:43 vboctor Status new => assigned
2018-01-20 02:43 vboctor Assigned To => vboctor
2018-01-20 02:45 vboctor Description Updated View Revisions
2018-01-20 02:56 vboctor Note Added: 0058570
2018-01-27 14:48 vboctor Changeset attached => MantisBT master 66d28e67
2018-01-27 14:48 vboctor Status assigned => resolved
2018-01-27 14:48 vboctor Resolution open => fixed
2018-01-27 14:48 vboctor Fixed in Version => 2.11.0
2018-02-06 21:17 vboctor Status resolved => closed